WinNTCommandLauncher
Date: 2017-01-22

org.apache.commons.exec.launcher

## Class WinNTCommandLauncher

- java.lang.Object
- - org.apache.commons.exec.launcher.CommandLauncherImpl
  - - org.apache.commons.exec.launcher.CommandLauncherProxy
    - - org.apache.commons.exec.launcher.WinNTCommandLauncher

- All Implemented Interfaces:
    CommandLauncher

      public class WinNTCommandLauncher
      extends CommandLauncherProxy

  A command launcher for Windows XP/2000/NT that uses 'cmd.exe' when launching commands in directories other than the current working directory.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinNTCommandLauncher(CommandLauncher launcher)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Process` | `exec(CommandLine cmd, java.util.Map<java.lang.String,java.lang.String> env, java.io.File workingDir)` Launches the given command in a new process, in the given working directory.

    - ### Methods inherited from class org.apache.commons.exec.launcher.CommandLauncherProxy

      `exec`

    - ### Methods inherited from class org.apache.commons.exec.launcher.CommandLauncherImpl

      `isFailure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WinNTCommandLauncher

          public WinNTCommandLauncher(CommandLauncher launcher)

  - ### Method Detail

    - #### exec

          public java.lang.Process exec(CommandLine cmd,
                               java.util.Map<java.lang.String,java.lang.String> env,
                               java.io.File workingDir)
                                 throws java.io.IOException

      Launches the given command in a new process, in the given working directory.
      Specified by:
        `exec` in interface `CommandLauncher`
      Specified by:
        `exec` in class `CommandLauncherImpl`
      Parameters:
        `cmd` - the command line to execute as an array of strings
        `env` - the environment to set as an array of strings
        `workingDir` - working directory where the command should run
      Returns:
        the newly created process
      Throws:
        `java.io.IOException` - forwarded from the exec method of the command launcher